Blow Up 3


Requirements

We thoroughly test and support this product on the systems listed below. This product may also work in other configurations, but we do not guarantee it.

Host Requirements

Blow Up 3 is a plug-in and requires one of the following host applications:

  • Adobe Photoshop CS4 or newer
  • Adobe Photoshop Elements 8 or newer
  • Adobe Photoshop Lightroom 2 or newer

System Requirements

Blow Up 3 requires the following:

Macintosh Systems:

  • Intel Core 2 processor or compatible
  • Mac OS X 10.6 or newer

Windows Systems:

  • Intel Core 2 processor or compatible
  • Windows Vista or newer